Skip to content
Esc
↑↓navigate↵open⌘Jpreview

List application attributes

Retrieves all attributes for the current application with support for pagination, filtering by template keys, searching by name, and sorting by various fields.

GET/api/v1/{team_slug}/{app_slug}/attributes/values
Authorization
AuthorizationBearer token · headerrequired

Management API token, sent as Authorization: Bearer <token>.

Path parameters
app_slugstringrequired

App slug

team_slugstringrequired

Team slug

Query parameters
template_keystring[]

Filter attributes by template keys (e.g., template_key=color&template_key=size)

idstring[]

Filter attributes by ID (e.g., id=uuid1&id=uuid2)

searchstring

Search term to filter attributes by name

sort-orderstring

Sort order. Should be one of ASC or DESC. Default DESC

sort-keystring

The key to sort on. Can be one of name, created_at, updated_at, key. Default created_at

pageinteger

Page number (default is 1)

per-pageinteger

Amount of attributes per page. Minimum 1 and max 100 (default is 20)

Responses
200

A list of attributes with pagination details

datagithub_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute[]required
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Attribute
created_atstring
descriptionstring | null
filterableboolean | null
idstring
keystring
namestring | null
template_keystring
template_namestring
translatableboolean | null
translationsgithub_com_enadhq_nabbit_internal_pkg_webserver_models.AttributeTranslations
Show properties
descriptiongithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
Show properties
Array of github_com_enadhq_nabbit_internal_pkg_webserver_models.Translation
idstring
localestring
valuestring
namegithub_com_enadhq_nabbit_internal_pkg_webserver_models.Translation[]
updated_atstring | null
valuesobject | null
successboolean
totalinteger
total_pagesinteger
400

Invalid request (e.g., bad pagination parameters, invalid sort key)

detailsstring[]
messagestring
successbooleanrequired
401

Unauthorized access

detailsstring[]
messagestring
successbooleanrequired
500

Internal server error

detailsstring[]
messagestring
successbooleanrequired
Try it
Server
Authorization
Parameters
Request
curl -X GET 'https://api.enad.io/api/v1/string/string/attributes/values' \
  -H 'Authorization: Bearer YOUR_TOKEN' \
  -H 'Accept: application/json'
Response
{
  "data": [
    {
      "created_at": "string",
      "description": "string",
      "filterable": true,
      "id": "string",
      "key": "string",
      "name": "string",
      "template_key": "string",
      "template_name": "string",
      "translatable": true,
      "translations": {
        "description": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ],
        "name": [
          {
            "id": "string",
            "locale": "string",
            "value": "string"
          }
        ]
      },
      "updated_at": "string",
      "values": {
        "property1": {
          "field_id": "string",
          "id": "string",
          "image_id": "string",
          "image_object": {
            "alt": "string",
            "app_id": "string",
            "blurhash": "string",
            "copyright": "string",
            "custom": {
              "property1": "string",
              "property2": "string"
            },
            "folder_id": "string",
            "id": "string",
            "parent_id": "string",
            "public": true,
            "status": "string",
            "title": "string",
            "url": "string"
          },
          "translations": {
            "value": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "type": "string",
          "value": "string"
        },
        "property2": {
          "field_id": "string",
          "id": "string",
          "image_id": "string",
          "image_object": {
            "alt": "string",
            "app_id": "string",
            "blurhash": "string",
            "copyright": "string",
            "custom": {
              "property1": "string",
              "property2": "string"
            },
            "folder_id": "string",
            "id": "string",
            "parent_id": "string",
            "public": true,
            "status": "string",
            "title": "string",
            "url": "string"
          },
          "translations": {
            "value": [
              {
                "id": "string",
                "locale": "string",
                "value": "string"
              }
            ]
          },
          "type": "string",
          "value": "string"
        }
      }
    }
  ],
  "success": true,
  "total": 0,
  "total_pages": 0
}